Request cooperative job cancellation
curl --request POST \
--url https://wisepim.com/api/public/v1/jobs/{task_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "API key requested cancellation"
}
'import requests
url = "https://wisepim.com/api/public/v1/jobs/{task_id}/cancel"
payload = { "reason": "API key requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'API key requested cancellation'})
};
fetch('https://wisepim.com/api/public/v1/jobs/{task_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"task_type": "<string>",
"status": "<string>",
"stage": "<string>",
"total_items": 123,
"processed_items": 123,
"successful_items": 123,
"failed_items": 123,
"skipped_items": 123,
"progress_percentage": 123,
"cancellation_requested": true,
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Request cooperative job cancellation
POST /jobs//cancel. Required scopes: jobs:cancel.
POST
/
api
/
public
/
v1
/
jobs
/
{task_id}
/
cancel
Request cooperative job cancellation
curl --request POST \
--url https://wisepim.com/api/public/v1/jobs/{task_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "API key requested cancellation"
}
'import requests
url = "https://wisepim.com/api/public/v1/jobs/{task_id}/cancel"
payload = { "reason": "API key requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'API key requested cancellation'})
};
fetch('https://wisepim.com/api/public/v1/jobs/{task_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"task_type": "<string>",
"status": "<string>",
"stage": "<string>",
"total_items": 123,
"processed_items": 123,
"successful_items": 123,
"failed_items": 123,
"skipped_items": 123,
"progress_percentage": 123,
"cancellation_requested": true,
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Path Parameters
Body
application/json
Required string length:
1 - 255Response
OK

